Bug 524708 - annoying/blinking crashes during GUI environment startup
Summary: annoying/blinking crashes during GUI environment startup
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openbox
Version: rawhide
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-21 20:30 UTC by Brock Organ
Modified: 2013-01-10 05:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-22 11:37:39 UTC


Attachments (Terms of Use)
screenshot showing error dialog and incomplete graphical environment (842.11 KB, image/png)
2009-09-21 20:32 UTC, Brock Organ
no flags Details
similar blinking behavior using F12-Snap3-i686-Live-LXDE.torrent (803.95 KB, image/png)
2009-09-21 20:51 UTC, Brock Organ
no flags Details

Description Brock Organ 2009-09-21 20:30:16 UTC
* using F12-Snap3-x86_64-Live-LXDE.torrent
* booting the LXDE iso in a qemu virtual machine (F12)

Using the F12-Snap3-x86_64-Live-LXDE.torrent ISO, I was able to boot the ISO, but at the xdm/gdm welcome/login screen the graphical environment fails to start properly, a very annoying blinking pattern occurs, an an error dialog blinks rapidly and does not terminate:

"Warning: A crash in package openbox-3.4.7.2-10.fc12 has been detected"

A screenshot showing partially what the screen looks like (I'm not able to take a screenshot that adaquately captures the blinking) will be attached ...

Because of this error, the live CD environment does not finish starting ...

Comment 1 Brock Organ 2009-09-21 20:32:44 UTC
Created attachment 361992 [details]
screenshot showing error dialog and incomplete graphical environment

here's where the boot process hangs with the annoying blinking ... even though this screenshot catches the error dialog, it is a rare thing, it took ~6 screenshots to catch one the blinking occurs so rapidly and consistently that it is hard to time ...

Comment 2 Brock Organ 2009-09-21 20:48:11 UTC
same bad behavior occurs using F12-Snap3-i686-Live-LXDE.torrent in F12 qemu virtual environment ...

Comment 3 Brock Organ 2009-09-21 20:51:12 UTC
Created attachment 361998 [details]
similar blinking behavior using F12-Snap3-i686-Live-LXDE.torrent

Comment 4 Miroslav Lichvar 2009-09-22 11:37:39 UTC
Openbox was missing support for 24-bit images. An upstream patch is included in openbox-3.4.7.2-11.fc12.

A workaround is to use a different qemu graphics driver.


Note You need to log in before you can comment on or make changes to this bug.